%bcond_without check

%global goipath         github.com/xeonx/timeago
Version:                1.0.0
%global tag             v1.0.0-rc4
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Timeago allows the formatting of time in terms of fuzzy timestamps}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go package for time formating based on current time

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.0-2.gitv1.0.0.rc4
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
